DMTXREAD(1)

NAME
dmtxread - scan Data Matrix barcodes

SYNOPSIS
dmtxread [options] [FILE]...

DESCRIPTION
dmtxread searches the named input FILEs (or standard input if no files are named or the filename "-" is given) for ECC200 Data Matrix barcodes, reads their contents, and writes the decoded messages to standard output.

OPTIONS

-c, --codewords
    Only print the codewords extracted from a Data Matrix, and not the actual decoded message.

-e, --minimum-edge=N
    Pixel length of smallest expected edge in image.

-E, --maximum-edge=N
    Pixel length of largest expected edge in image.

-g, --gap=N
    Use scan grid with gap of N pixels (or less) between lines.

-l, --list-formats
    List the supported input image formats.

-m, --milliseconds=N
    Stop scan after N milliseconds (per image).

-n, --newline
    Print a newline character at the end of decoded data.

-p, --page=N
    Only scan Nth page of images.

-q, --square-deviation=N
    Maximum deviation (degrees) from squareness between adjacent barcode sides. Default value is N=40, but N=10 is recommended for flat applications like faxes and other scanned documents. Barcode regions found with corners <(90-N) or >(90+N) will be ignored by the decoder.

-r, --resolution=N
    Decoding resolution in dots per inch (DPI). Only used for vectorial input images such as SVG, PDF, etc... This option accepts a single argument (eg: 300) as well as horizontal and vertical resolutions (eg: 300x150). The default resolution is 72dpi.

-s, --symbol-size=[asr|RxC]
    Only consider barcodes of specific size or shape.
       a = All sizes [default]
       s = Only squares
       r = Only rectangles
     RxC = Exactly this many rows and columns (10x10, 8x18, etc...)

-t, --threshold=N
    Set the minimum edge threshold as a percentage of maximum. For example, an edge between a pure white and pure black pixel would have an intensity of 100. Edges with intensities below the indicated threshold will be ignored by the decoding process. Lowering the threshold will increase the amount of work to be done, but may be necessary for low contrast or blurry images.

-x, --x-range-min=N[%]
    Do not scan pixels to the left of pixel column N (or N%).

-X, --x-range-max=N[%]
    Do not scan pixels to the right of pixel column N (or N%).

-y, --y-range-min=N[%]
    Do not scan pixels above pixel row N (or N%).

-Y, --y-range-max=N[%]
    Do not scan pixels below pixel row N (or N%).

-C, --corrections-max=N
    Correct at most N errors per image (0 = correction disabled).

-D, --diagnose
    Make copy of image with additional diagnostic data.

-M, --mosaic (experimental)
    Interpret detected regions as Data Mosaic barcodes.

-N, --stop-after=N
    Stop scanning after Nth barcode is returned.

-P, --page-numbers
    Print each decoded message with its fax/tiff page number.

-R, --corners
    Prefix the decoded message with the barcode's corner locations.

-S, --shrink=N
    Internally shrink image by factor of N. Shrinking is accomplished by skipping N-1 pixels at a time, often producing significantly faster scan times. It also improves scan success rate for images taken with poor camera focus provided the image is sufficiently large.

-U, --unicode
    Print Extended ASCII characters in UTF-8 Unicode.

-v, --verbose
    Use verbose messages.

-V, --version
    Print program version information.

--help
    Display this help message and quit.

STANDARDS
ISO/IEC 16022:2000

ANSI/AIM BC11 ISS

DIAGNOSTICS
Exit status has following possible meanings:
   0 At least one barcode was found and decoded
   1 No barcodes were found
  >1 Error occurred that prevented command from executing normally

BUGS
Email bug reports to mike@dragonflylogic.com

AUTHOR
Copyright (C) 2008, 2009 Mike Laughton